

/* link style-all.css file */

/* Header, nav bar */
/* header is styled in style-all.css file */

/* variables */
:root{
    /* 1vw ~= 19px */
    --hero-back-font-size: 9vw;
    --hero-front-font-size: 2vw;
    --h1-font-size: 3.8vw; 
    --h2-font-size: 2vw;
    --p-font-size: 1.1vw;  
    --p-letter-spacing: 0.2vw;
    --h1-event-name: 7vw;
    --h1-event-name-line-height: 6vw;
    --section-padding: 3vw;
    --row-gap: 2vw;
    --white-text-color: #F1F1F1;
}

/* hero logo section */
.hero-section{
    margin-top: 5.2rem;
    text-transform: uppercase;
    height: 30vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    font-size: var(--hero-front-font-size);
}
.hero-section>p:nth-child(2){
    font-weight: 900;
}
.hero-section::before{
    content: 'EVENTS AT AM CAFE';
    white-space: nowrap;
    color: var(--white-text-color);
    font-weight: 900;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
    font-size: var(--hero-back-font-size);
    transition: .3s all ease-in-out;
    overflow: hidden;
}
.hero-section:hover::before{
    transform: scale(.7);
}

/* events section */
.section{
    width: 100%;
    padding: var(--section-padding);
    display: flex;
    flex-direction: column;
    row-gap: 5rem;
}
.event-container{
    width: 100%;
    display: flex;
}
.event-container > .content{
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    row-gap: var(--row-gap);
    padding: 0px 2vw;
}
.content > h1{
    text-transform: uppercase;
    font-size: var(--h1-font-size);
    font-weight: 900;
    text-align: center;
}
.content > h2{
    text-transform: uppercase;
    font-size: var(--h2-font-size);
    font-weight: 900;
    text-align: center;
    margin: 0;
}
.content > p{
    font-size: var(--p-font-size);
    letter-spacing: var(--p-letter-spacing);
    text-align: justify;
    text-indent: 60px;
}
.content > .event-image{
    width: 90%;
}
.content > .event-image > img{
    width: 100%;
}
.event-container > .event-name{
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.event-name > h1{
    text-transform: uppercase;
    word-spacing: 20vw;
    color: var(--white-text-color);
    font-size: var(--h1-event-name);
    text-align: center;
    font-weight: 900;
    line-height: var(--h1-event-name-line-height);
}

/* footer is in style-all.css file */

/* media queries */
/* media queries for mobile */
@media screen and  (min-width: 320px) and (max-width: 768px) {
    :root{
        --hero-front-font-size: 3.5vw;
        --h1-font-size: 6vw;
        --h2-font-size: 4vw;
        --p-font-size: 3.2vw;
        --p-letter-spacing: 0.4vw;  
        --h1-event-name: 7vw;
        --h1-event-name-line-height: 8vw;
        --section-padding: 6vw;
    }
    /* hero logo section */
    .hero-section{
        margin-top: 5.2rem;
        height: 15vh;
    }
    /* events section */
    .content > .event-image{
        width: 100%;
    }

    /* footer is in style-all.css file */
}
/* end media queries for mobile */

